"""====================================================================
با فرض اینکه نمرات ۴۰ دانش آموز قبلاً در آرایه S ذخیره شده است منطق
برنامه ای را طراحی کنید که نمرات دانش آموزان را به صورت نزولی مرتب کند
===================================================================="""
import random
s = []
for j in range(40):
    num = random.randint(1,10000)
    s.append(num)

#         روش مرتب سازی انتخابی
#-------------------------------------------

# Max S
#----------
min = s[0]

for i in s:
    if i < min:
        min = i


#    Create Sort List
#--------------------------------------------
a = []
for j in range(len(s)):
    max = s[0]
    index = 0
    for j in range(len(s)):
        if s[j] > max:
            max = s[j]
            index = j
    a.append(max)
    s[index] = min -1
print("="*30,"\n",a)